[![deutsche Version](https://logos.oxidmodule.com/de2_xs.svg)](README.md)
[![english version](https://logos.oxidmodule.com/en2_xs.svg)](README.en.md)

# XRechnung Projekt 

Basisprojekt für die Einbindung die Generierung der XRechnung. Die Zugangsdaten für die ausführende Bibliothek
werden von D³ zur Verfügung gestellt und ist in diesem Projekt zu installieren.

## Systemanforderungen:

* Installation ausserhalb des Shops, Subdomain + SSL-Zertifikat notwendig
* ab PHP 8.1
* Installation via Composer

## Installation Projekt:

```bash
composer create-project d3/xrechnungproject xrechnung
```
Der Projektname "xrechnung" kann frei gewählt werden. In den weiteren Schritten wird sich darauf bezogen.

Ausführung parallel bzw. außerhalb des Shops, jedoch auf identischen Account zum Austausch der Dateien.


## Konfiguration Projekt:

* Datei "/home/USER/xrechnung/.env_example" nach .env umbenennen
* Werte in der Datei .env ändern und speichern
* Subdomain + SSL-Zertifikat anlegen und auf xrechnung/source zeigen lassen
* .htaccess Zugangsschutz für xrechnung/source erstellen, diese Daten sind später im Shop zu hinterlegen
 
## Installation XRechnungLib:

Die Zugangsdaten dazu erhalten Sie von D³.
Am Anschluss wird so die Installation durchgeführt: 
```bash
composer require d3/xrechnung_lib
```

## Support:

- D3 Data Development (Inh. Thomas Dartsch)
- Home: [www.d3data.de](https://www.d3data.de)
- E-Mail: support@shopmodule.com